# vim: set sw=4 ts=4 et:
# Copyright (c) 2009-2010 oc2pus
# Copyright (c) 2010      Pascal Bleser <pascal.bleser@opensuse.org>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%if %suse_version >= 1140
%define in_tree_libxmlpp %(test $(rpm -q libxml++-devel --qf='%{VERSION}'|awk 'BEGIN{FS="."}{print $1 * 1000000 + $2 * 1000 + $3}') -lt 2034000 && echo 1 || echo 0)
%else
%define in_tree_libxmlpp 0
%endif

Summary:		DVD authoring program
Name:			bombono
Version:		1.2.2
Release:		1.5
License:		GPL-2.0
Group:			Productivity/Multimedia/Other
URL:			http://www.bombono.org
Source:			http://prdownloads.sourceforge.net/bombono/%{name}-dvd-%{version}.tar.bz2
%if %in_tree_libxmlpp
%define libxmlpp_version 2.34.2
Source50:       http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.34/libxml++-%{libxmlpp_version}.tar.bz2
%endif
Source99:       bombono-rpmlintrc
Patch1:         bombono-remove_BOOST_SYSTEM_NO_DEPRECATED.patch
Patch2:         bombono-optflags.patch
Patch3:         bombono-always-wrap-xml.patch
Patch4:         bombono-1.2.1-glib-include-fix.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libffmpeg_oldabi-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtkmm2-devel
BuildRequires:	libdvdread-devel
%if %in_tree_libxmlpp
BuildConflicts: libxml++-devel
%else
BuildRequires:	libxml++-devel
%endif
BuildRequires:	libxml2-devel
BuildRequires:	libmjpegutils-devel
BuildRequires:  libquicktime-devel
BuildRequires:	boost-devel
BuildRequires:	scons
BuildRequires:	enca-devel
BuildRequires:	update-desktop-files
BuildRequires:	gcc-c++
BuildRequires:  chrpath
Requires:       scons
Requires:		dvdauthor
Requires:		mjpegtools
Requires:		dvd+rw-tools
Requires:		twolame
Requires:       mpeg2demux = %{version}
Provides:       bombono-dvd = %{version}-%{release}
Requires(post): shared-mime-info
Requires(postun):shared-mime-info

%description
Bombono DVD is a DVD authoring program for Linux. It is made easy
to use and has nice and clean GUI (Gtk).

The main features of Bombono DVD are:
* Excellent MPEG viewer: Timeline and Monitor
* Real WYSIWYG Menu Editor with live thumbnails
* Comfortable Drag-n-Drop support
* You can author to folder, make ISO-image or burn directly to DVD
* Reauthoring: you can import video from DVD discs. 

Bombono DVD is Open Source software and freely distributed under GPL
license.

%package -n mpeg2demux
Summary:        Demuxer for MPEG2 and VOB files
Group:			Productivity/Multimedia/Other

%description -n mpeg2demux
Demux video from src-file(.mpg, .vob). If src-file has .vob extension then
ac3/dts/lpcm audios are to be pulled too.

%lang_package

%prep
%if %in_tree_libxmlpp
%setup -q -n %{name}-dvd-%{version} -a 50
%else
%setup -q -n %{name}-dvd-%{version}
%endif

boostver=$(rpm -q --qf '%{VERSION}\n' boost-devel)
boostmajor=$(echo "$boostver"|cut -f1 -d.)
boostminor=$(echo "$boostver"|cut -f2 -d.)
if [ $boostmajor -lt 1 -o \( $boostmajor = 1 -a $boostmajor -lt 44 \) ]; then
%patch1
fi

#%patch2
%if %suse_version >= 1140
%patch3
%endif

#%patch4 -p1

%__chmod 644 COPYING

%if %suse_version <= 1110
%__sed -i -e 's|#include <mgui/sdk/textview.h>|#include <mgui/sdk/textview.h>\n#include <gtk/gtkwindow.h>|g' \
	src/mgui/mux.cpp
%endif

%build
%if %in_tree_libxmlpp
IT_LIBXMLPP="$PWD/INTREE/libxml++"
pushd "libxml++-%{libxmlpp_version}"
CFLAGS="%{optflags}" \
./configure \
    --prefix="$IT_LIBXMLPP" \
    --bindir="$IT_LIBXMLPP/bin" \
    --libdir="$IT_LIBXMLPP/lib" \
    --disable-shared \
    --enable-static \
    --disable-documentation \
    --enable-warnings=min

%__make %{?_smp_mflags}
%__make install
popd #libxml++
%endif

OPTFLAGS="%{optflags} -Wno-reorder"
boostver=$(rpm -q --qf '%{VERSION}\n' boost-devel)
boostmajor=$(echo "$boostver"|cut -f1 -d.)
boostminor=$(echo "$boostver"|cut -f2 -d.)
if [ $boostmajor -lt 1 -o \( $boostmajor = 1 -a $boostmajor -lt 46 \) ]; then
OPTFLAGS="$OPTFLAGS -DBOOST_FILESYSTEM_VERSION=2"
fi
export OPTFLAGS

%if %in_tree_libxmlpp
export PKG_CONFIG_PATH="$IT_LIBXMLPP/lib/pkgconfig:$PKG_CONFIG_PATH"
%endif

scons %{?_smp_mflags} \
    BUILD_CFG=release \
    BUILD_BRIEF=false \
    BUILD_QUICK=false \
    CC="%__cc" \
    CXX="%__cxx" \
    CFLAGS="%{optflags}" \
    CXXFLAGS="%{optflags}" \
    TEST=false \
    TEST_BUILD=false \
    USE_EXT_BOOST=true \
    BOOST_INCLUDE="%{_includedir}" \
    BOOST_LIBPATH="%{_libdir}" \
    DVDREAD_INCLUDE="%{_includedir}" \
    DVDREAD_LIBPATH="%{_libdir}" \
	PREFIX=%{_prefix} \
	DESTDIR="$RPM_BUILD_ROOT"

%install
OPTFLAGS="%{optflags} -Wno-reorder"
boostver=$(rpm -q --qf '%{VERSION}\n' boost-devel)
boostmajor=$(echo "$boostver"|cut -f1 -d.)
boostminor=$(echo "$boostver"|cut -f2 -d.)
if [ $boostmajor -lt 1 -o \( $boostmajor = 1 -a $boostmajor -lt 46 \) ]; then
OPTFLAGS="$OPTFLAGS -DBOOST_FILESYSTEM_VERSION=2"
fi
export OPTFLAGS

scons \
    BUILD_CFG=release \
    BUILD_BRIEF=false \
    BUILD_QUICK=false \
    CC="%__cc" \
    CXX="%__cxx" \
    CFLAGS="%{optflags}" \
    CXXFLAGS="%{optflags}" \
    TEST=false \
    TEST_BUILD=false \
    USE_EXT_BOOST=true \
    BOOST_INCLUDE="%{_includedir}" \
    BOOST_LIBPATH="%{_libdir}" \
    DVDREAD_INCLUDE="%{_includedir}" \
    DVDREAD_LIBPATH="%{_libdir}" \
	PREFIX=%{_prefix} \
	DESTDIR="$RPM_BUILD_ROOT" \
    install

chrpath --delete "%{buildroot}%{_bindir}/bombono-dvd"

%suse_update_desktop_file -i %{name}-dvd AudioVideo AudioVideoEditing

%__chmod 755 %{buildroot}%{_datadir}/bombono/resources/scons_authoring/menu_SConscript

#__install -D -m0644 debian/mpeg2demux.1 "%{buildroot}%{_mandir}/man1/mpeg2demux.1"
#__install -D -m0644 debian/bombono-dvd.1 "%{buildroot}%{_mandir}/man1/bombono-dvd.1"

find "%{buildroot}%{_datadir}/bombono/resources/icons/" -type f -executable -exec %__chmod 0644 {} \;

%find_lang %{name}-dvd

%post
/usr/bin/update-mime-database "%{_datadir}/mime" &> /dev/null || :

%postun
/usr/bin/update-mime-database "%{_datadir}/mime" &> /dev/null || :

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f %{name}-dvd.lang

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}-dvd
%dir %{_datadir}/bombono
%{_datadir}/bombono/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/*/*/apps/bombono-dvd.*
%{_datadir}/mime/packages/bombono.xml
%doc %{_mandir}/man1/bombono-dvd.1%{ext_man}

%files -n mpeg2demux
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/mpeg2demux
%doc %{_mandir}/man1/mpeg2demux.1%{ext_man}

%changelog
* Wed Oct 15 2014 avvissu@yandex.ru
- Update to 1.2.2
- Spec-file: leaving everything as it is
* Tue May 29 2012 Manfred.Tremmel@iiv.de
- ffmpeg doen't include url.h anymorecompile against ffmpeg_oldabi
* Tue May 22 2012 seife+obs@b1-systems.com
- remove obsoleted glib includes to fix build on > 12.1
* Sat Feb 11 2012 pascal.bleser@opensuse.org
- update to 1.2.1
* Sun Jan  1 2012 pascal.bleser@opensuse.org
- add ffmpeg_arch.diff to fix build with newest ffmpeg
- BR against libmjpegutils-devel instead of mjpegtools-devel as someone decided
  unilateraly to rename it there without obsoletes+requires and without
  checking whether it breaks Packman, thank you very much
* Sat Nov 26 2011 pascal.bleser@opensuse.org
- update to 1.2.0
* Tue Nov 22 2011 pascal.bleser@opensuse.org
- remove rpaths
* Tue Jun  7 2011 pascal.bleser@opensuse.org
- add scons to Requires, fixes BNC#684814:
  https://bugzilla.novell.com/show_bug.cgi?id=684814
* Sun May 29 2011 pascal.bleser@opensuse.org
- add bombono-fix_deprecated_ffmpeg_usage.patch to remove deprecated ffmpeg API
  usage
* Sun May 29 2011 pascal.bleser@opensuse.org
- add bombono-always-wrap-xml.patch (thanks to Bastian Friedrich), currently
  only on 11.4, which requires an in-tree build of the latest libxml++ because
  it uses Node::create_wrapper() which is only available there and not in the
  libxml++ that ships with openSUSE 11.4;
  fixes http://sourceforge.net/apps/trac/bombono/ticket/53
* Sun May 22 2011 pascal.bleser@opensuse.org
- update to 1.0.2:
  * libxml++ 2.33.1 changes: projects can be opened
  * update for spumux, dvdauthor 0.7.0
  * one line setting ~/.config/bombono-dvd/av_seek_shift: set to "-N" (e.g. -4
    seconds) to avoid missing keyframes/visual artefacts of videos
- mpeg2demux split out as its own package
- added man pages from Debian
* Thu Mar 17 2011 detlef@links2linux.de
- update to 1.0.1
* Fri Jan  7 2011 pascal.bleser@opensuse.org
- update to 1.0.0-1 (upstream git revision
  1e9303ab8c5705491ad6ab693c9f8c9ada341fcb) to fix using bombono-dvd with newer
  ffmpeg
* Fri Dec 31 2010 pascal.bleser@opensuse.org
- update to 1.0.0
* Sun Apr 18 2010 toni@links2linux.de
- update to 0.6.0
* Wed Apr  7 2010 toni@links2linux.de
- update to 0.5.10
* Wed Nov 11 2009 toni@links2linux.de
- added a patch to support twolame instead of toolame
* Sat Oct 24 2009 toni@links2linux.de
- Initial package 0.5.2
